Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039619
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajorhave not tried2018-11-13 16:302018-12-11 20:22
ReporteregoitzView Statuspublic 
Assigned ToAtulOpenbravo 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision920bfe823a1a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039619: ReportMaterialTransactionEditionJR consumes a lot of memory and produces a system crash

DescriptionExecuting the ReportMaterialTransactionEditionJR report for a date interval with thousands of transactions produces a system crash due to high memory usage.

Steps To Reproduce Execute the report with filter to get thousands of rows.
The system is collapsed due to high memory usage.
The stack trace is:


    at net.sf.jasperreports.engine.export.HtmlExporter.exportReport(HtmlExporter.java:236)
        at org.openbravo.client.application.report.ReportingUtils.saveHTMLReportToOutputStream(ReportingUtils.java:471)
        at org.openbravo.client.application.report.ReportingUtils.saveReport(ReportingUtils.java:383)
        at org.openbravo.client.application.report.ReportingUtils.exportJR(ReportingUtils.java:270)
        at org.openbravo.base.secureApp.HttpSecureAppServlet.renderJR(HttpSecureAppServlet.java:1252)
        at org.openbravo.base.secureApp.HttpSecureAppServlet.renderJR(HttpSecureAppServlet.java:1163)
        at org.openbravo.base.secureApp.HttpSecureAppServlet.renderJR(HttpSecureAppServlet.java:1146)
        at org.openbravo.erpCommon.ad_reports.ReportMaterialTransactionEditionJR.printPageHtml(ReportMaterialTransactionEditionJR.java:174)
        at org.openbravo.erpCommon.ad_reports.ReportMaterialTransactionEditionJR.doPost(ReportMaterialTransactionEditionJR.java:60)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:646)
        at org.openbravo.base.HttpBaseServlet.serviceInitialized(HttpBaseServlet.java:221)
        at org.openbravo.base.secureApp.HttpSecureAppServlet.service(HttpSecureAppServlet.java:458)
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0034620 closedrqueralta The ReportWarehouseControl report collapse the system 

-  Notes
(0107998)
AtulOpenbravo (developer)
2018-11-20 07:54

Test Plan

- Login as System Admin
- In Preference window, Edit the value for Report Limit as 100.
- Logout and Login as F&B International Group Admin
- Run Material Transaction Report without any filter.
- Realize that warning message shown as:-

  "Warning:
The filtering criteria you have specified for this report return a number of rows that exceeds the maximum allowed. The limit of rows to display in a report is 100. Please, use more selective filtering criteria and execute the report again.
"
- This could be tested for both Html and Pdf format.
- Run Material Transaction Report with filter as
  From Date: 01-09-2018
  To Date: 30-09-2018
- Realize that data is shown in the Report.
- This could be tested for both Html and Pdf format.
(0108010)
hgbot (developer)
2018-11-20 15:51

Repository: erp/devel/pi
Changeset: 920bfe823a1a216ed96e8d34c0b8aa4054af7d01
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Nov 16 15:01:39 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/920bfe823a1a216ed96e8d34c0b8aa4054af7d01 [^]

Fixes Issue 39619:ReportMaterialTransactionEditionJR consumes a lot of
memory and produces a system crash

For avoiding system crash, data is fetched with limit of preference
ReportLimit. If data count is more than ReportLimit, warning message
is shown to use apply more selective filters.

---
M src/org/openbravo/erpCommon/ad_reports/InoutEdition_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialTransactionEditionJR.java
---
(0108011)
hgbot (developer)
2018-11-20 15:51

Repository: erp/devel/pi
Changeset: cde51d30746053de24be16bde4a308743494197b
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Nov 20 15:46:26 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/cde51d30746053de24be16bde4a308743494197b [^]

related to issue 39619 use advisePopUp from HttpSecureAppServlet

---
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialTransactionEditionJR.java
---
(0108012)
Sandrahuguet (developer)
2018-11-20 15:54

Code review + testing OK
(0108481)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test
(0108482)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-11-13 16:30 egoitz New Issue
2018-11-13 16:30 egoitz Assigned To => Triage Finance
2018-11-13 16:30 egoitz Modules => Core
2018-11-13 16:30 egoitz Triggers an Emergency Pack => No
2018-11-13 17:11 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-11-13 18:40 AtulOpenbravo Status new => scheduled
2018-11-15 11:10 martinsdan Issue Monitored: martinsdan
2018-11-15 17:10 Sandrahuguet Tag Attached: Performance
2018-11-15 17:15 Sandrahuguet Relationship added related to 0034620
2018-11-20 07:54 AtulOpenbravo Note Added: 0107998
2018-11-20 15:51 hgbot Checkin
2018-11-20 15:51 hgbot Note Added: 0108010
2018-11-20 15:51 hgbot Status scheduled => resolved
2018-11-20 15:51 hgbot Resolution open => fixed
2018-11-20 15:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/920bfe823a1a216ed96e8d34c0b8aa4054af7d01 [^]
2018-11-20 15:51 hgbot Checkin
2018-11-20 15:51 hgbot Note Added: 0108011
2018-11-20 15:54 Sandrahuguet Review Assigned To => Sandrahuguet
2018-11-20 15:54 Sandrahuguet Note Added: 0108012
2018-11-20 15:54 Sandrahuguet Status resolved => closed
2018-11-20 15:54 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108481
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108482


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker